
_main:

;boot_loader_1938_8.mbas,48 :: 		org  boot_main
;boot_loader_1938_8.mbas,53 :: 		OSCCON = %01110000         'set osc to no PLL,  8MHz,   Int clock
	MOVLW      112
	MOVWF      OSCCON+0
;boot_loader_1938_8.mbas,54 :: 		Uart_Begin()               'must set up Uart for bootloader to work
	CALL       _Uart_Begin+0
;boot_loader_1938_8.mbas,57 :: 		if (Usart_Write_Loop("g","r") = 255) then
	MOVLW      103
	MOVWF      FARG_Usart_Write_Loop_send+0
	MOVLW      114
	MOVWF      FARG_Usart_Write_Loop_receive+0
	CALL       _Usart_Write_Loop+0
	MOVF       R0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__main2
;boot_loader_1938_8.mbas,61 :: 		start_program()                         'start user's program
	CALL       16376
	GOTO       L__main3
;boot_loader_1938_8.mbas,66 :: 		else                                'if "r" is received then
L__main2:
;boot_loader_1938_8.mbas,68 :: 		start_bootload()                'start bootload
	CALL       _Start_Bootload+0
;boot_loader_1938_8.mbas,69 :: 		end if
L__main3:
L_end_main:
	GOTO       $+0
; end of _main
